Metrics
Fetch account usage metics
Query and fetch usage metrics for the current account.
GET
/
v3
/
pipeline
/
metric
/
usage
Fetch account usage metics
curl --request GET \
--url https://api.mezmo.com/v3/pipeline/metric/usage \
--header 'Authorization: <api-key>'import requests
url = "https://api.mezmo.com/v3/pipeline/metric/usage"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.mezmo.com/v3/pipeline/metric/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Query Parameters
Define the beginning of the window
Define the end of the window
Size of the interval represented by each returned metric result
Required range:
x >= 300Include Pipelines and nodes that have been deleted
Limit usage metrics to the given pipeline id. If not defined, the metrics will include all pipelines for the account.
Limit usage metrics to a single traffic direction. If not defined, the metrics for both directions will be included.
Available options:
ingress, egress Response
200
Default Response
Was this page helpful?
Fetch account usage metics

